
Redmine - Patch #1059

Fully integrates svn/dav apache authentication

2008-04-15 09:00 - Lionel Molinier

Status: New Start date: 2008-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Description

This patch provides:

User authentication based on the Redmine authentication module (including external source, such as LDAP) via the Redmine

WebService. The password is ciphered in AES for the communication

Depending on their role on the project, users can have read/write access or read only access (new permission

commit_repositories)

A fully configurable cache system has been deployed to improve performance (WebServices are quite slow).

History

#1 - 2011-02-08 05:27 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-03-24 07:28 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

svn_authent.x3n.patch 15.8 KB 2008-04-15 Lionel Molinier
